local drawableSprite = require("structs.drawable_sprite")

local coreToggle = {}

coreToggle.name = "ArphimigonHelper/ElementalModeToggle"
coreToggle.depth = 2000

function coreToggle.sprite(room, entity)
    local tex1 = drawableSprite.fromTexture("objects/elementalToggle/active", entity)
    local tex2 = drawableSprite.fromTexture("objects/elementalToggle/top_lever", entity)
    return { tex1, tex2 }
end

coreToggle.placements = {
    name = "Elemental Mode Toggle (Arphimigon's Toy Box)",
    data = {
        elementalMode = 0,
        persistent = false
    }
}

return coreToggle